Subject: Re: rsync doesn't work with firewall?
From: "Cliff Hones" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>, <[email-masked]>
Date: Thu, 11 Apr 2002 23:02:15 +0100

----- Original Message ----- 
From: "Gerrit P. Haase" <[email-masked]>
Sent: Thursday, April 11, 2002 10:31 PM
> Has someone experience with rsync through a firewall?
> I have zonealarm running here and cannot rsyncing through.

rsync uses TCP over port 873 if you run it in server mode.
I have successfully used it this way through a gauntlet
firewall after setting up an outgoing
plug proxy for this port.

I've just tried it successfully with ZoneAlarm (free)
version 2.6.357 - though I did have to click allow on
several zonealarm popup boxes before it would start
properly.  For this test I was using it in non-server
mode, where you specify the remote rsync executable
location using the -rsync-path= option, and use
rsh access.

> error with an older version (rsync-2.4.6-3):
> receiving file list ... done
> read error: Connection reset by peer
> read error: Connection reset by peer
> 
> with a newer version (2.5.4-1):
> receiving file list ... done
> rsync: read error: Connection reset by peer
> rsync error: error in rsync protocol data stream (code 12) at io.c(162)
> rsync: read error: Connection reset by peer
> rsync error: error in rsync protocol data stream (code 12) at io.c(162)
> 
> and with latest (2.5.5-1):

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/